Bug 209307 - [New port] games/redorblack: a simple card game
Summary: [New port] games/redorblack: a simple card game
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nikolai Lifanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-05 21:26 UTC by buratello
Modified: 2017-01-10 02:56 UTC (History)
1 user (show)

See Also:


Attachments
A simple card game. (1.33 KB, text/plain)
2016-05-05 21:26 UTC, buratello
no flags Details
updated shar (1.09 KB, text/plain)
2017-01-09 20:46 UTC, Nikolai Lifanov
no flags Details
updated shar (1.12 KB, text/plain)
2017-01-09 20:49 UTC, Nikolai Lifanov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description buratello 2016-05-05 21:26:04 UTC
Created attachment 170023 [details]
A simple card game.

A simple card game with a text intefeys entertainment 
and survey of the theory of probability.
Comment 1 Nikolai Lifanov freebsd_committer 2017-01-09 20:13:22 UTC
Hi! These are trivial, so I will just fix these, but please consider installing "portlint" and running "portlint -A" on a new port submission in the future.

FATAL: Makefile: [11]: use a tab (not space) after a variable name
WARN: Makefile: COMMENT is not supposed to begin with 'A ', 'An ', or 'The '.
FATAL: Makefile: extra item "MAINTAINER" placed in the PORTNAME section.
FATAL: Makefile: extra item "COMMENT" placed in the PORTNAME section.
WARN: Makefile: no ftp/http mirror in MASTER_SITES for users behind a proxy.
FATAL: Makefile: extra item "PLIST_FILES" placed in the MAINTAINER section.
WARN: Makefile: COMMENT is set externally to this port's Makefile, but this port is not configured as a slave port.
WARN: Makefile: Consider defining LICENSE.
4 fatal errors and 4 warnings found.
Comment 2 Nikolai Lifanov freebsd_committer 2017-01-09 20:42:50 UTC
I fixed several other things: 

o add LICENSE (it's BSD2CLAUSE from reading the header in .c file)
o add "Created by:" to the Makefile
o add WWW to pkg-descr
o use SF macro for MASTER_SITES
o switch to explicit "do-build" and "do-install" targets in order to:
  - respect ${CXX} and ${CXXFLAGS} set by ports framework
  - strip installed binary

Additionally, the original submission didn't work because it installed the file directly to /usr/local. Files need to be "staged" in ${STAGEDIR}${PREFIX} and then "pkg" takes care of installing them to the right place.
Comment 3 Nikolai Lifanov freebsd_committer 2017-01-09 20:46:38 UTC
Created attachment 178677 [details]
updated shar

Please see this shar with the proposed changes.
Comment 4 Nikolai Lifanov freebsd_committer 2017-01-09 20:49:20 UTC
Created attachment 178678 [details]
updated shar

One more fix: distinfo needs a TIMESTAMP field.
If you run "make makesum", it should fill this in for you.
Comment 5 commit-hook freebsd_committer 2017-01-10 02:54:34 UTC
A commit references this bug:

Author: lifanov
Date: Tue Jan 10 02:53:48 UTC 2017
New revision: 431060
URL: https://svnweb.freebsd.org/changeset/ports/431060

Log:
  add games/redorblack: a simple card game

  PR:		209307
  Submitted by:	buratello@easy.com
  Reviewed by:	matthew
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9110

Changes:
  head/games/Makefile
  head/games/redorblack/
  head/games/redorblack/Makefile
  head/games/redorblack/distinfo
  head/games/redorblack/pkg-descr
Comment 6 Nikolai Lifanov freebsd_committer 2017-01-10 02:56:55 UTC
Committed with changes, thanks!